diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.1_plus/sqlpane.sql b/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.1_plus/sqlpane.sql
index a7e51a9..f6978ba 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.1_plus/sqlpane.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.1_plus/sqlpane.sql
@@ -5,16 +5,22 @@
 {# ============= CREATE LANGUAGE Query ============= #}
 CREATE {% if data.trusted %}TRUSTED{% endif %} PROCEDURAL LANGUAGE {{ conn|qtIdent(data.name) }}
 {% if data.lanproc %}
-  HANDLER {{ conn|qtIdent(data.lanproc) }}
+    HANDLER {{ conn|qtIdent(data.lanproc) }}
 {% endif %}
 {% if data.laninl %}
-  INLINE {{ conn|qtIdent(data.laninl) }}
+    INLINE {{ conn|qtIdent(data.laninl) }}
 {% endif %}
 {% if data.lanval %}
-  VALIDATOR {{ conn|qtIdent(data.lanval) }}{% endif %};
+    VALIDATOR {{ conn|qtIdent(data.lanval) }}{% endif %};
   
 {# ============= ALTER LANGUAGE Query ============= #}
 {% if data.lanowner %}
 ALTER LANGUAGE {{ conn|qtIdent(data.name) }}
-  OWNER TO {{ conn|qtIdent(data.lanowner) }};
+    OWNER TO {{ conn|qtIdent(data.lanowner) }};
+{% endif %}
+
+{# ============= Comment on LANGUAGE Query ============= #}
+{% if data.description %}
+COMMENT ON LANGUAGE {{ conn|qtIdent(data.name) }}
+    IS {{ data.description|qtLiteral }};
 {% endif %}
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.3_plus/sqlpane.sql b/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.3_plus/sqlpane.sql
index d8a3d36..905ef1a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.3_plus/sqlpane.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.3_plus/sqlpane.sql
@@ -17,4 +17,10 @@ CREATE {% if data.trusted %}TRUSTED{% endif %} PROCEDURAL LANGUAGE {{ conn|qtIde
 {% if data.lanowner %}
 ALTER LANGUAGE {{ conn|qtIdent(data.name) }}
     OWNER TO {{ conn|qtIdent(data.lanowner) }};
+{% endif %}
+
+{# ============= Comment on LANGUAGE Query ============= #}
+{% if data.description %}
+COMMENT ON LANGUAGE {{ conn|qtIdent(data.name) }}
+    IS {{ data.description|qtLiteral }};
 {% endif %}
\ No newline at end of file
